import { BasicColumn, FormSchema } from '@/components/Table';

export const columnsSystem: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'modelName',
    width: 150,
    // onEditRow:true
    slots: { customRender: 'sourceType' },
  },
  {
    title: '版本号',
    dataIndex: 'version',
    width: 150,
    // onEditRow:true
  },
  {
    title: '编辑状态',
    dataIndex: 'editStatus',
    width: 150,
    // onEditRow:true
  },
  {
    title: '调试状态',
    dataIndex: 'debugStatus',
    width: 150,
    // onEditRow:true
  },
  {
    title: '类型',
    dataIndex: 'type',
    width: 150,
    // onEditRow:true
  },
  {
    title: '负责人',
    dataIndex: 'leader',
    width: 150,
    // onEditRow:true
  },
  {
    title: '发布时间',
    dataIndex: 'publishTime',
    width: 150,
    // onEditRow:true
  },
  {
    title: '权属工作组',
    dataIndex: 'workingGroup',
    width: 150,
    // onEditRow:true
  },
];
export const columnsData: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'modelName',
    width: 150,
    // onEditRow:true
    slots: { customRender: 'sourceType' },
  },
  {
    title: '库名',
    dataIndex: 'storeName',
    width: 150,
    // onEditRow:true
  },
  {
    title: '表名',
    dataIndex: 'tableName',
    width: 150,
    // onEditRow:true
  },
  {
    title: '表注释',
    dataIndex: 'tableExplain',
    width: 150,
    // onEditRow:true
  },
];

export const columnsDetail: BasicColumn[] = [
  {
    title: '列名',
    dataIndex: 'name',
    width: 150,
    // onEditRow:true
  },
  {
    title: '字段类型',
    dataIndex: 'type',
    width: 150,
    // onEditRow:true
  },
  {
    title: '字段类型参数',
    dataIndex: 'parameters',
    width: 150,
    // onEditRow:true
  },
  {
    title: 'length',
    dataIndex: 'length',
    width: 150,
    // onEditRow:true
  },
  {
    title: '精度',
    dataIndex: 'deptName',
    width: 150,
    // onEditRow:true
  },
  {
    title: '是否可为空',
    dataIndex: 'isNUll',
    width: 150,
    // onEditRow:true
  },
  {
    title: '字段注释',
    dataIndex: 'explain',
    width: 150,
    // onEditRow:true
  },
];
export const importSchema: any[] = [
  {
    field: 'fileType',
    label: '导入文件类型',
    component: 'Select',
    componentProps: {
      options: [
        { label: 'Excel', value: 'Excel' },
        { label: 'Word', value: 'Word' },
      ],
    },
    colProps: { lg: 24, md: 24 },
  },
];
/**查询表单*/
export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: ' ',
    component: 'Input',
    componentProps: {
      placeholder: '请输入关键字搜索',
    },
    colProps: { span: 6 },
  },
  {
    field: 'editStatus',
    label: ' ',
    component: 'Select',
    componentProps: {
      placeholder: '编辑状态',
      options: [
        { label: '未编辑', value: '未编辑' },
        { label: '编辑中', value: '编辑中' },
        { label: '完成', value: '完成' },
      ],
    },
    colProps: { span: 6 },
  },
  {
    field: 'debugStatus',
    label: ' ',
    component: 'Select',
    componentProps: {
      placeholder: '调试状态',
      options: [
        { label: '未调试', value: '未调试' },
        { label: '调试中', value: '调试中' },
        { label: '完成', value: '完成' },
      ],
    },
    colProps: { span: 6 },
  },
];

/**新建文件*/
export const physicalModelFormSchema: any[] = [
  {
    field: 'modelId',
    label: '路径',
    component: 'TreeSelect',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      fieldNames: {
        label: 'modelName',
        value: 'businessId',
      },
      getPopupContainer: () => document.body,
    },
    required: true,
  },
  {
    field: 'modelName',
    label: '文件名称',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
    rules: [
      {
        required: true,
        message: '请输入文件名称',
      },
    ],
  },
  {
    field: 'username',
    label: '文件类型',
    componentProps: {
      defaultValue: '物理模型',
      disabled: true,
    },
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
];

/**新建文件*/
export const physicalModelAdd: any[] = [
  {
    field: 'modelId',
    label: '文件夹路径',
    component: 'TreeSelect',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      fieldNames: {
        label: 'modelName',
        value: 'businessId',
      },
      getPopupContainer: () => document.body,
    },
  },
  {
    field: 'name',
    label: '文件夹名称',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
    rules: [
      {
        required: true,
        message: '请输入文件名称',
      },
    ],
  },
  {
    field: 'username',
    label: '关联元模型',
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '知识库模型1',
          value: '101',
        },
        {
          label: '知识库模型2',
          value: '102',
        },
        {
          label: '知识库模型3',
          value: '103',
        },
      ],
      getPopupContainer: () => document.body,
    },
    rules: [
      {
        required: true,
        message: '元模型只能在一级目录配置',
      },
    ],
    colProps: { lg: 24, md: 24 },
  },
];

/**移动*/
export const MoveFormSchema: any[] = [
  {
    field: 'institutionId',
    label: '所属机构',
    component: 'TreeSelect',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      fieldNames: {
        label: 'institutionName',
        value: 'businessId',
      },
      getPopupContainer: () => document.body,
    },
    required: true,
  },
];
