import { getAllRoleList } from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import { h } from 'vue';
import { Tag, Switch } from 'ant-design-vue';
import { useMessage } from '@/hooks/web/useMessage';
import { changeFlagApi } from '@/api/system/user/user';
// 引入开关组件
type CheckedType = boolean | string | number;
export const entityColumns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'name',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '实体名称',
    dataIndex: 'dataBase',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '路径',
    dataIndex: 'modelId',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '关联时间',
    dataIndex: 'relateTime',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '同步时间',
    dataIndex: 'syncTime',
    width: 150,
  },
  {
    title: '操作用户',
    dataIndex: 'operateName',
    width: 150,
  },
];

export const locailColumns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'name',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '实体名称',
    dataIndex: 'entityName',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '路径',
    dataIndex: 'modelId',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '关联描述',
    dataIndex: 'relateDescribe',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '关联时间',
    dataIndex: 'relateTime',
    width: 150,
  },
  {
    title: '操作用户',
    dataIndex: 'operateName',
    width: 150,
  },
];

export const SqlDevelopColumns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'name',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '路径',
    dataIndex: 'modelId',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '关联描述',
    dataIndex: 'relateDescribe',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '关联时间',
    dataIndex: 'relateTime',
    width: 150,
  },
  {
    title: '操作用户',
    dataIndex: 'operateName',
    width: 150,
  },
];
export const entityFormSchema: FormSchema[] = [
  {
    field: 'name',
    component: 'Input',
    componentProps: {
      placeholder: '输入实体名称搜索',
    },
    colProps: { span: 4 },
  },
];
export const connectionTable: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'name',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '父实体名称',
    dataIndex: 'fatherName',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '父实体属性PK',
    dataIndex: 'fatherPK',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '父端基数',
    dataIndex: 'fatherNum',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '子实体名称',
    dataIndex: 'sonName',
    width: 150,
  },
  {
    title: '子实体属性PK',
    dataIndex: 'sonPK',
    width: 150,
  },
  {
    title: '子端基数',
    dataIndex: 'sonNum',
    width: 150,
  },
];
export const connectionFormSchema: FormSchema[] = [
  {
    field: 'name',
    component: 'Input',
    componentProps: {
      placeholder: '输入关联关系名称搜索',
    },
    colProps: { span: 4 },
  },
];
export const crossTable: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'name',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '父逻辑模型名称',
    dataIndex: 'fatherModelName',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '父实体名称',
    dataIndex: 'fatherName',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '父实体属性PK',
    dataIndex: 'fatherPK',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '父端基数',
    dataIndex: 'fatherNum',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '子逻辑模型名称',
    dataIndex: 'sonModelName',
    width: 150,
  },
  {
    title: '子实体名称',
    dataIndex: 'sonName',
    width: 150,
  },
  {
    title: '子实体属性PK',
    dataIndex: 'sonPK',
    width: 150,
  },
  {
    title: '子端基数',
    dataIndex: 'sonNum',
    width: 150,
  },
];
export const crossFormSchema: FormSchema[] = [
  {
    field: 'name',
    component: 'Input',
    componentProps: {
      placeholder: '输入关联关系名称搜索',
    },
    colProps: { span: 4 },
  },
];
export const modelFormSchema: any[] = [
  {
    field: 'modelId',
    label: '路径',
    component: 'TreeSelect',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      fieldNames: {
        label: 'modelName',
        value: 'businessId',
      },
      getPopupContainer: () => document.body,
    },
    required: true,
  },
  {
    field: 'name',
    label: '文件名称',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
    rules: [
      {
        required: true,
        message: '请输入登录名',
      },
    ],
  },
  {
    field: 'type',
    label: '文件类型',
    component: 'Input',
    componentProps: {
      defaultValue: '逻辑模型',
      disabled: true,
      readOnly: true,
    },
    colProps: { lg: 24, md: 24 },
  },
];
export const editFormSchema: any[] = [
  {
    field: 'table1',
    slot: 'table1',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'dataBase',
    label: '数据源：',
    slot: 'dataBase',
    colProps: { lg: 12, md: 12 },
  },
  {
    field: 'libraryName',
    label: '库名：',
    slot: 'libraryName',
    component: 'Input',
    colProps: { lg: 12, md: 12 },
    required: true,
  },
  {
    field: 'tableName',
    label: '表名：',
    slot: 'tableName',
    component: 'Input',
    colProps: { lg: 12, md: 12 },
    required: true,
  },
  {
    field: 'tableType',
    label: '表类型：',
    slot: 'tableType',
    component: 'Select',
    colProps: { lg: 12, md: 12 },
  },
  {
    field: 'tableExplain',
    label: '表注释：',
    slot: 'tableExplain',
    component: 'Select',
    colProps: { lg: 12, md: 12 },
  },
  {
    field: 'storeType',
    label: '存储类型：',
    slot: 'storeType',
    component: 'Select',
    colProps: { lg: 12, md: 12 },
    required: true,
  },
  {
    field: 'isTransaction',
    label: '是否为事务表：',
    slot: 'isTransaction',
    component: 'Select',
    colProps: { lg: 12, md: 12 },
  },
  {
    field: 'table2',
    slot: 'table2',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'mainDept',
    label: '主责部门：',
    slot: 'mainDept',
    component: 'Input',
    colProps: { lg: 12, md: 12 },
  },
  {
    field: 'isEncrypt',
    label: '是否为事务表：',
    slot: 'isEncrypt',
    component: 'RadioGroup',
    componentProps: {
      options: [
        { label: '是', value: '是' },
        { label: '否', value: '否' },
      ],
    },
    colProps: { lg: 12, md: 12 },
  },
  {
    field: 'table3',
    slot: 'table3',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'taskName',
    label: '业务定义：',
    slot: 'taskName',
    component: 'Input',
    colProps: { lg: 12, md: 12 },
  },
  {
    field: 'chineseName',
    label: '表中文名：',
    slot: 'chineseName',
    component: 'Input',
    colProps: { lg: 12, md: 12 },
  },
  {
    field: 'isSensitive',
    label: '是否为敏感信息：',
    slot: 'isSensitive',
    component: 'RadioGroup',
    componentProps: {
      options: [
        { label: '是', value: '是' },
        { label: '否', value: '否' },
      ],
    },
    colProps: { lg: 12, md: 12 },
  },
];
/**移动*/
export const MoveFormSchema: any[] = [
  {
    field: 'institutionId',
    label: '所属机构',
    component: 'TreeSelect',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      fieldNames: {
        label: 'institutionName',
        value: 'businessId',
      },
      getPopupContainer: () => document.body,
    },
    required: true,
  },
];
// entityModel
export const EntityModelFormSchema: any[] = [
  {
    field: 'name',
    label: '列名',
    component: 'Input',
    required: true,
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'type',
    label: '字段类型',
    component: 'Select',
    required: true,
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'parameters',
    label: '字段类型参数',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'length',
    label: '长度',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'deptName',
    label: '精度',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'isNUll',
    label: '是否可为空',
    component: 'Select',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'explain',
    label: '字段注释',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
];
// connectionModel
export const ConnectionModelFormSchema: any[] = [
  {
    field: 'table3',
    slot: 'table3',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'areaType',
    label: '分区类型',
    slot: 'areaType',
    component: 'Select',
    colProps: { lg: 12, md: 12 },
  },
  {
    field: 'areaField',
    label: '分区字段',
    slot: 'areaField',
    component: 'Select',
    colProps: { lg: 12, md: 12 },
  },
  {
    field: 'table4',
    slot: 'table4',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'sonName',
    label: '分桶数',
    slot: 'sonName',
    component: 'Input',
    colProps: { lg: 12, md: 12 },
  },
  {
    field: 'sonPK',
    label: '分桶字段',
    slot: 'sonPK',
    component: 'Select',
    colProps: { lg: 12, md: 12 },
  },
];
